Subject: Re: bug#76476: Make cl-first, cl-second, ..., cl-tenth part of Emacs Lisp
From: Stefan Kangas <[email-masked]>
To: [email-masked], Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 24 Feb 2025 16:33:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Richard Stallman <[email-masked]> writes:

>   > >     first
>   > >     second
>   > >     third
>   > >     fourth
>   > >     fifth
>   > >     sixth
>   > >     seventh
>   > >     eight
>   > >     ninth
>   > >     tenth
>   > >     rest
>
>   > FWIW, I hate those even more than the `cadar` thingies.  🙂
>
> I agree -- most of these are no improvement.  They don't make programs
> simpler.
>
> We no longer have a need to strain to keep the number of function
> names in GNU Emacs as small as possible.  But that doesn't mean
> we should add every function that could be meaningful.
> Some meaningful functions are not worth the work of documenting them.

Thanks.  It appears that this change isn't gaining much support.

I'm therefore closing this bug report now.